Support » Plugins and Hacks » Extended API » [Resolved] WordPress 3.7

[Resolved] WordPress 3.7

  • Michael,

    I installed the the plugin in WordPress 3.7.1. As far as I have tested, it works for the XML-RPC calls I am using (mostly get_post_meta, delete_post_meta, update_post_meta).

    But I get a deprecation warning:

    Deprecated: Call-time pass-by-reference has been deprecated in /home/(…)/wp-content/plugins/extended-xml-rpc-api/main.php on line 65

    Any hint?



Viewing 3 replies - 1 through 3 (of 3 total)
  • Michael,

    After some research, I think the deprecation warning comes from the PHP version I am using (5.3.10) rather than from WordPress.

    I edited line 65 of main.php and removed the pass-by-reference ampersand, and the warning disappeared. The change should not affect the behavior of the code (cfr http://us1.php.net/call_user_func_array).


    return call_user_func_array($method,&$args);


    return call_user_func_array($method,$args);

    Plugin Author michaelgrosser


    Thanks for the info. I’ll look at handling that a bit more gracefully in the plugin.

    Plugin Author michaelgrosser


    This is fixed in the newest release.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] WordPress 3.7’ is closed to new replies.
Skip to toolbar